Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	data and function plotting utility
Name:      	gnuplot
Version:   	4.2.2
Release:   	1
License: 	LAPACK
URL:		http://www.gnuplot.info/
Group:     	Science/Mathmatics
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libX11-devel
BuildRequires:  libXpm-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  ncurses-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  readline-devel
BuildRequires:  libstdc++-devel
BuildRequires:  wxGTK-devel
BuildRequires:  zlib-devel

%description
Gnuplot  is a portable command-line driven interactive data and function plotting utility for UNIX, IBM OS/2, MS Windows, DOS, Macintosh, VMS, Atari and many other platforms. The software is copyrighted but freely distributed (i.e., you don't have to pay for it). It was originally intended as to allow scientists and students to visualize mathematical functions and data. It does this job pretty well, but has grown to support many non-interactive uses, including web scripting and integration as a plotting engine for third-party applications like Octave. Gnuplot has been supported and under development since 1986. 
 Gnuplot supports many types of plots in either 2D and 3D. It can draw using lines, points, boxes, contours, vector fields, surfaces, and various associated text. It also supports various specialized plot types. 
 Gnuplot supports many different types of terminals: interactive screen terminals (with mouse and hotkey functionality), pen plotters (like hpgl), printers (including postscript and many color devices), and printings to output file as vectorial pseudo-devices like LaTeX, metafont, pdf, svg, or bitmap png. Gnuplot is easily extensible to include new devices

%post
ldconfig
/sbin/install-info %{_infodir}/gnuplot.info.gz %{_infodir}/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/gnuplot.info.gz %{_infodir}/dir
fi

%postun
ldconfig


%prep
%setup -n %{name}-%{version}


%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--infodir=%_infodir \
		 --with-readline=gnu

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%files
%defattr(-,root,root)
%_bindir
%_infodir
%_mandir
%_libexecdir
%_datadir/gnuplot
#%_datadir/texmf
%_libdir/X11/app-defaults/Gnuplot.app-defaults


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 4.2.2-1
- Version update
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.2.rc4-1
- Version update
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Initial Release
